Retrieve and use the carrier setup file
This guide provides an overview of how to retrieve a JSON file containing details about your available carriers, products, and services using the API. If you are looking to avoid requesting individual endpoints for available carriers, -products, packages repeatedly, this method allows you to get all the necessary information at once. The file is ideal for those managing shipmondo through systems like WMS, ERP, or similar platforms.
By following the steps outlined here, you'll learn how to:
- Request the carrier setup file.
- Monitor the process while it’s being generated.
- Retrieve the finalized file.
- Understand the structure and contents of the file.
Overview of the carrier setup file - Shipmondo API
The endpoint for retrieving the carrier setup file is documented here. By making a request to this endpoint, you can retrieve a JSON file that includes all the information about your setup for carriers, products, services, etc.
How to retrieve the JSON-File configuration
Step 1: Request the carrier setup file
Endpoint
GET https://app.shipmondo.com/api/public/v3/setups/carriers
Response:
{
"status": "REQUESTED",
"expires_at": null,
"url": null
}
At this stage, Shipmondo will begin processing and generating your carrier setup file. The response indicates that the request has been accepted, but the file is not yet ready for download.